Class | Rubygame::JoyAxisEvent
In: | lib/rubygame/event.rb
Parent: | Event

Indicates that a Joystick axis was moved.

This event has these attributes:

joynum: | the identifier number of the affected Joystick.
axis: | the identifier number of the axis.
value: | the new value of the axis, between -32768 and 32767

### Methods

new

### Attributes

axis | [RW] |
joynum | [RW] |
value | [RW] |

### Public Class methods

new(joy,axis,value)

[Validate]